import { defineComponent } from 'vue';

var renderTag = defineComponent({
  props: {
    option: Object,
    renderTag: Function
  },
  emits: ['close'],
  setup(props, _ref) {
    let {
      emit,
      slots
    } = _ref;
    const handleClose = () => {
      emit('close');
    };
    return () => {
      var _slots$default;
      const {
        option,
        renderTag
      } = props;
      if (renderTag) {
        return renderTag({
          option,
          handleClose
        });
      }
      return (_slots$default = slots.default) === null || _slots$default === void 0 ? void 0 : _slots$default.call(slots);
    };
  }
});

export { renderTag as default };
